"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CookieStore = (function () {
    function CookieStore() {
    }
    CookieStore.prototype.getCookie = function (key) {
        var cookieCollection = this.getCookieCollection();
        return cookieCollection[key];
    };
    CookieStore.prototype.getCookieCollection = function () {
        var currentRawCookie = document.cookie;
        if (currentRawCookie === this.lastReadRawCookieCollection) {
            return this.lastReadCookieCollection;
        }
        this.lastReadRawCookieCollection = currentRawCookie;
        this.lastReadCookieCollection = {};
        if (this.lastReadRawCookieCollection.indexOf('; ') !== -1) {
            var cookies = this.lastReadRawCookieCollection.split('; ');
            for (var _i = 0, cookies_1 = cookies; _i < cookies_1.length; _i++) {
                var cookie = cookies_1[_i];
                var indexOfEqualSign = cookie.indexOf('=');
                if (indexOfEqualSign > 0) {
                    var cookieName = CookieStore.tryDecodeUriComponent(cookie.substring(0, indexOfEqualSign));
                    this.lastReadCookieCollection[cookieName] = CookieStore.tryDecodeUriComponent(cookie.substring(indexOfEqualSign + 1));
                }
            }
        }
        return this.lastReadCookieCollection;
    };
    CookieStore.tryDecodeUriComponent = function (uriComponent) {
        try {
            return decodeURIComponent(uriComponent);
        }
        catch (e) {
            return uriComponent;
        }
    };
    return CookieStore;
}());
exports.CookieStore = CookieStore;
//# sourceMappingURL=cookie-store.service.js.map